AbstractEntityManagerImpl.TupleBuilderTransformer (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb
Class AbstractEntityManagerImpl.TupleBuilderTransformer

    java.lang.Object
      org.hibernate.transform.BasicTransformerAdapter
          org.hibernate.ejb.AbstractEntityManagerImpl.TupleBuilderTransformer

All Implemented Interfaces:
  Serializable, ResultTransformer

Enclosing class:
  AbstractEntityManagerImpl

    public static class AbstractEntityManagerImpl.TupleBuilderTransformer

extends BasicTransformerAdapter

See Also:
  Serialized Form

Nested Class Summary
`static class` | `AbstractEntityManagerImpl.TupleBuilderTransformer.HqlTupleElementImpl<X>`
`class` | `AbstractEntityManagerImpl.TupleBuilderTransformer.HqlTupleImpl`

Constructor Summary
`AbstractEntityManagerImpl.TupleBuilderTransformer(Query hqlQuery)`

Method Summary
`Object` | `transformTuple(Object[] tuple, String[] aliases)` Tuples are the elements making up each "row" of the query result.

Methods inherited from class org.hibernate.transform.BasicTransformerAdapter
`transformList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractEntityManagerImpl.TupleBuilderTransformer

    public AbstractEntityManagerImpl.TupleBuilderTransformer(Query hqlQuery)

Method Detail

### transformTuple

    public Object transformTuple(Object[] tuple,
                                 String[] aliases)

  Description copied from interface: `ResultTransformer`
  Tuples are the elements making up each "row" of the query result. The contract here is to transform these elements into the final row.

  Specified by:
    `transformTuple` in interface `ResultTransformer`
  Overrides:
    `transformTuple` in class `BasicTransformerAdapter`
  Parameters:
    `tuple` - The result elements
    `aliases` - The result aliases ("parallel" array to tuple)
  Returns:
    The transformed row.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.